<template>
  <div id="group-form">
    <form @submit.prevent="handleSubmit">

      <label>Groupname</label>
      <input
        ref="first"
        type="text"
        :class="{ 'has-error': submitting && invalidName }"
        v-model="group.name"
        @focus="clearStatus"
        @keypress="clearStatus"
      >
      <label>GroupGoal</label>
      <input
        type="text"
        :class="{ 'has-error': submitting && invalidGoal }"
        v-model="group.goal"
        @focus="clearStatus"
      >
      <p
        v-if="error && submitting"
        class="error-message"
      >❗Please fill out all required fields</p>
      <p
        v-if="success"
        class="success-message"
      >✅ Groupsuccessfully added</p>
     

      <label>Phone Numbers</label>
      <PhoneNumber :group="group" />
      <!-- <input
        type="text"
        :class="{ 'has-error': submitting && invalidPhone }"
        v-model="group.phone"
        @focus="clearStatus"
      >
      <p
        v-if="error && submitting"
        class="error-message"
      >❗Please fill out all required fields</p>
      <p
        v-if="success"
        class="success-message"
      >✅ Phone successfully added</p>
      <button type="button">  +  Phone number</button> -->

      <label> Priviledges </label>
      <MultiselectForm />

       <button type="submit">  Add Group</button>


    
    </form>

  </div>
</template>

<script>
import MultiselectForm from '@/components/MultiSelectForm.vue';
import PhoneNumber from '@/components/PhoneNumber.vue';


export default {
  name: 'group-form',
  components: {
    MultiselectForm,
    PhoneNumber,
  },
  data() {
    return {
      error: false,
      submitting: false,
      invalidPhone: true,
      success: false,
      group: {
        name: '',
        goal: '',
      }
    }
  },
  computed: {
    invalidName() {
      return this.group.name === ''
    },

    invalidGoal() {
      return this.group.goal === ''
    },
  },
  methods: {
    handleSubmit() {
      this.clearStatus()
      this.submitting = true

      if(Number(this.group.phone)){
        this.invalidPhone = false;
      }

      if (this.invalidName || this.invalidGoal) {
        this.error = true
        return
      }

      this.$emit('add:group', this.group)
      this.$refs.first.focus()
      this.group = {
        name: '',
        goal: '',
      }
      this.success = true
      this.error = false
      this.submitting = false
    },

    clearStatus() {
      this.success = false
      this.error = false
    }
  }}
</script>

<style scoped>
form {
  margin-bottom: 2rem;
}

[class*="-message"] {
  font-weight: 500;
}

.error-message {
  color: #d33c40;
}

.success-message {
  color: #32a95d;
}
</style>
